program D;

{$APPTYPE CONSOLE}

uses
  SysUtils;
var
  fin,fout : textfile;
  n,a,b : int64;
begin
  assign(fin,'D.in');
  reset(fin);
  assign(fout,'D.out');
  rewrite(fout);
    read(fin,n);
    read(fin,a);
    read(fin,b);
    write(fout,n-a+b);
  close(fin);
  close(fout);
end.
